Bug 231267 - Review Request: stardict-dic - dictionaries for StarDict
Review Request: stardict-dic - dictionaries for StarDict
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Package Reviews List
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-07 01:35 EST by Hu Zheng
Modified: 2013-01-09 23:13 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-19 01:28:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
wtogami: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Hu Zheng 2007-03-07 01:35:03 EST
Spec URL:
http://reciteword.cosoft.org.cn/redhat/stardict-dic-zh_CN.spec
SRPM URL:
http://reciteword.cosoft.org.cn/redhat/stardict-dic-zh_CN-2.4.2-1.src.rpm

Description:
Simplified Chinese(zh_CN) dictionaries for StarDict.
These dictionaries are included currently:
cdict-gb, cedict-gb, langdao-ce-gb, langdao-ec-gb,
oxford-gb, stardict1.3, xdict-ce-gb, xdict-ec-gb.
You can download more at: http://stardict.sourceforge.net

Notes:
RedHat I18N projects 2007 going to add free dictionary data for stardict as a plan, so user needn't download and install dictionaries manually.
I try this package first, if it is OK, I will add zh_TW, ja, ko and so on then.

It contain these dictionaries:
cdict-gb GPL
cedict-gb GPL
langdao-ce-gb Free to use
langdao-ec-gb Free to use
oxford-gb Free to use
stardict1.3 GPL
xdict-ce-gb GPL
xdict-ec-gb GPL

"Free to use" means it is freely available in the Internet, and don't know who own the copyright, or suggesting no one.
RedFlag Linux 5 included these dictionaries by default too, so it should not being a big problem.

I would like to receive your commments :)
Comment 1 Jens Petersen 2007-03-09 00:42:04 EST
Any other distros shipping it?
Comment 2 Hu Zheng 2007-03-12 00:45:47 EDT
RedFlag 5 in China.
Comment 3 Parag AN(पराग) 2007-06-20 08:30:15 EDT
rpmlint is reporting
W: stardict-dic-zh_CN invalid-license Free to use

Better to ask upstream to ask to include license file in tarball only.
Comment 5 Hu Zheng 2007-06-21 05:42:13 EDT
http://reciteword.cosoft.org.cn/redhat/stardict-dic.spec
http://reciteword.cosoft.org.cn/redhat/stardict-dic-2.4.2-1.fc7.src.rpm

The src.rpm file is a little big as I added other languages' dictionaries:
zh_CN, zh_TW, ja, ru, en.
Comment 6 Parag AN(पराग) 2007-06-21 08:11:11 EDT
its really BIG package. it took 2 hrs to download SRPM.
Comment 7 Parag AN(पराग) 2007-06-21 23:20:30 EDT
kindly re-upload new package with following changes in SPEC and increase release
http://fedoraproject.org/wiki/Packaging/SourceURL#head-e27982f18a3bfd26b5b6ecbee113d2d8f3f006f2
Comment 8 Parag AN(पराग) 2007-06-21 23:22:09 EDT
have you asked upstream to include license file in tarball?
Comment 9 Hu Zheng 2007-06-22 01:57:43 EDT
http://reciteword.cosoft.org.cn/redhat/stardict-dic.spec
I didn't upload the srpm as both upload and download it is slow. You can install
the old srpm, then replace the new spec file, other files are not modified.

I have already updated stardict package, the build is already completed. It own
the /usr/share/stardict/dic directory now.

Well, I am just the upstream. The tarballs didn't contain license file as pure
dictionary data. But the license descriptions are available in the StarDict
website. See http://stardict.sourceforge.net
Comment 10 Parag AN(पराग) 2007-06-22 02:36:01 EDT
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and RPM.
+ source files match upstream.
0349198b9dfcecd9a0f505512bb21d8b  stardict-cdict-big5-2.4.2.tar.bz2
68e539f362de416490b78fed97aba780  stardict-cdict-gb-2.4.2.tar.bz2
80b13d05bd5e975c35afcf4a13113673  stardict-cedict-big5-2.4.2.tar.bz2
d8db9bdbf0dd4856d03e04d3f73d9c5a  stardict-cedict-gb-2.4.2.tar.bz2
f164dcb24b1084e1cfa2b1cb63d590e6  stardict-dictd_www.dict.org_wn-2.4.2.tar.bz2
109c2308393a9bde37413cd1305e1256  stardict-dic-zh_CN-2.4.2.tar.bz2
0aa46b7d589a01663c3fb465152db85d  stardict-edict-2.4.2.tar.bz2
e0f60d6acc4e3df6784805816b2e136f  stardict-jmdict-en-ja-2.4.2.tar.bz2
2c574aef86a5d7bab45395d7e8ee7f6b  stardict-jmdict-ja-en-2.4.2.tar.bz2
50b9423fa578988b5b0544c5b663058a  stardict-langdao-ce-big5-2.4.2.tar.bz2
8e9700798a0ffeed23207b7cf2592246  stardict-langdao-ce-gb-2.4.2.tar.bz2
61ceeec1b056a171645af723d3e956fe  stardict-langdao-ec-big5-2.4.2.tar.bz2
41a71f5b3952709746dd7e52cf155b8b  stardict-langdao-ec-gb-2.4.2.tar.bz2
096f25252d2809191ff4fea041364841  stardict-mueller7-2.4.2.tar.bz2
e54da1d0759ce59f8fbddff7979e9300  stardict-oxford-big5-2.4.2.tar.bz2
c175f9bcb88e7513380ad05b291a8a03  stardict-oxford-gb-2.4.2.tar.bz2
4467d7941f9388f0e01ee3025c400b5c  stardict-stardict1.3-2.4.2.tar.bz2
745727367e22ab9740256ceaf16cb83d  stardict-xdict-ce-gb-2.4.2.tar.bz2
364bcecc126d6d8560728dc487ea9eaf  stardict-xdict-ec-gb-2.4.2.tar.bz2
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
- License text is NOT included in package.
+ %doc is small so no need of -doc subpackage.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains content.
+ no static libraries.
+ no .pc files are present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets are used.
+ Not a GUI app.

APPROVED.
Comment 11 Hu Zheng 2007-06-22 02:48:27 EDT
New Package CVS Request
=======================
Package Name: stardict-dic
Short Description: Dictionaries for StarDict
Owners: zhu@redhat.com
Branches: F-7
InitialCC: 
Comment 12 Kevin Fenzi 2007-06-22 15:23:03 EDT
Are these dictionaries useful without the 'stardict' program? 
Comment 13 Hu Zheng 2007-06-22 22:05:04 EDT
No, only stardict can load them. Although some other program such as sdcv,
ktranslator support this format too.
Comment 14 Jesse Keating 2007-06-25 15:52:40 EDT
(In reply to comment #13)
> No, only stardict can load them. Although some other program such as sdcv,
> ktranslator support this format too.
> 

That's not a very clear answer.

This feels like content without a use.  Are you planning on packaging stardict
for Fedora at some point so that these would be useful?  What is the point of
having these data files at this time?
Comment 15 Hu Zheng 2007-06-25 22:01:46 EDT
Well, you can consider as only stardict support these files. Other program, such
as sdcv, ktranslator, are not in the Fedora repository presently.

stardict package is already in Fedora repository for a long time. But user need
to download the dictionaries by themself and install them manually, so this
package can make things more convenient.
Comment 16 Kevin Fenzi 2007-06-25 22:10:00 EDT
Sorry about that. I looked for stardict and didn't see it for some reason. Of
course it's there. ;( 

Sorry for the confusion here... 
Comment 17 Kevin Fenzi 2007-06-25 22:33:32 EDT
cvs done. Sorry again for the delay. ;( 
Comment 18 Hu Zheng 2007-06-25 22:35:17 EDT
Nothing. Thank you very much! :)
Comment 19 Thorsten Leemhuis 2007-06-26 01:57:43 EDT
Just wondering: will dicts for other languages become part of this package as
well? The generic name "stardict-dic" seems to imply that. 

But if that would be the case then the SRPM would grow quite big soon afaics;
and it would need to be rebuild for each added dict, which (until we use
delta-rpms) would create unnecessary downloads for people that have other dicts
installed already.

Or am I missing something here?
Comment 20 Hu Zheng 2007-06-26 03:07:15 EDT
yes, these rpm packages will be generated:
stardict-dic-en-2.4.2-2.fc7.noarch.rpm
stardict-dic-ja-2.4.2-2.fc7.noarch.rpm
stardict-dic-ru-2.4.2-2.fc7.noarch.rpm
stardict-dic-zh_CN-2.4.2-2.fc7.noarch.rpm
stardict-dic-zh_TW-2.4.2-2.fc7.noarch.rpm

I think make them as one spec file and one cvs module is more convenient and
simple to maintain. Yeah, I make one rpm package contain more than one
dictionary, although to upgrade is slower, but the installation is simpler as
only need to install one package. Anyway, the update should not be very frequent.
Comment 21 Thorsten Leemhuis 2007-06-26 03:34:11 EDT
(In reply to comment #20)
 
> I think make them as one spec file and one cvs module is more convenient and
> simple to maintain. 

I strongly disagree; I took the issue to the packaging mailing list to get some
more opinions; see:
https://www.redhat.com/archives/fedora-packaging/2007-June/msg00134.html
Comment 22 Hu Zheng 2007-06-27 01:07:55 EDT
Separated now.

See:
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=245867
Comment 23 Thorsten Leemhuis 2007-06-27 02:08:18 EDT
(In reply to comment #22)
> Separated now.
> See:
> https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=245867

/me wonders

- why you did not reopen this bug / how this bug should be closed properly to
avoid confusion for scripts
- if someone will remove the stardict-dic stuff from cvs
Comment 24 Hu Zheng 2007-06-27 03:29:09 EDT
Hi, cvs manager.
Can you delete the stardict-dic module in CVS? We are going to create
stardict-dic-en, stardict-dic-zh_CN and so on instead.
Comment 25 Kevin Fenzi 2007-06-27 12:22:11 EDT
well, we could do that. This package was already built however, so someone could
have it installed?

As an alternate suggestion, how about turning this package into a 'meta' package
for all the other stardict-dic-* packages? Then this package would be a small
one that someone could install that would pull in all the other stardict-dic-*
packages (ie, if they wanted all the dictionaries installed). See for example
the 'python-twisted' meta package. 
Comment 26 Hu Zheng 2007-06-27 21:20:32 EDT
It is better delete it directly.
Although it is build, it is not pushed, so no one should have installed it
presently.
Even it is installed, that doesn't matter, as new
stardict-dic-{en,ja,ru,zh_CN,zh_TW} module will generate the same file with
newer release number.

I think seldom people will choose to install all the languages' dictionaries,
other languages should be no use to them.

What's about others' opinion?
Comment 27 Warren Togami 2007-07-03 11:04:17 EDT
removed

Note You need to log in before you can comment on or make changes to this bug.